
 title1 'Beetle mortality and pesticide dose';

 data beetle;
   input y n dose;
 datalines; 
   15  50  1.082
   24  49  1.161
   26  50  1.212
   24  50  1.258
   29  50  1.310
   29  49  1.348
 run; 

 proc print;  /* always do this after a data step */
 run;

 title2 'Logistic dose effect';
 proc logistic;
    model y/n=dose / iplots influence;
 run;

 title2 'Probit dose effect';
 proc logistic;
    model y/n=dose / link=probit iplots influence;
 run;
