title1 'Cases of mental illness in Massachussettes, by county';

data lunatic;

/* 
   1. NBR = Number of lunatics, by county
   2. DIST = Distance to nearest mental health center
   3. POP = County population , 1950 (thousands)
   4. PDEN = County population density per square mile
   5. PHOME = Percent of lunatics cared for at home 
 */

   input county $ nbr dist pop pden phome;
   logpop=log(pop);
   datalines;
BERKSHIRE	119	97	26.656   	56	77
FRANKLIN	84	62	22.260	    45	81
HAMPSHIRE	94	54	23.312	    72	75
HAMPDEN		105	52	18.9	    94	69
WORCESTER	351	20	82.836	    98	64
MIDDLESEX	357	14	66.759	   231	47
ESSEX	    377	10	95.004	  3252	47
SUFFOLK	    458	 4 	123.202   3042	 6
NORFOLK		241	14	62.901	   235	49
BRISTOL		158	14	29.704	   151	60
PLYMOUTH	139	16	32.526	    91	68
BARNSTABLE	78	44	16.692      93  76
NANTUCKET	12	77	1.740	   179	25
DUKES		19	52	7.524       46	79
run;

proc print;
run;

proc genmod;
   model nbr = dist logpop pden phome / dist=Poisson;
run;




