options linesize=66 center;
title1 'Compare values of retired and current Beanie babies';
title2 'Raw data';
data beanie;
  infile  'C:\Documents and Settings\DZ\Desktop\Projects\Linear Models\Data\Chapter 7\beaniebaby.txt'; 
  input name $ 1-48 price ret birth;
run;
proc print; /*  Always check to see if the data is correct */
run;
proc sort;  /* sort by Retired/current status */
   by ret;
run;
title2 'Mean values by R/C status';
proc means;
   var price;
   by ret;
run;
title2 'Use PROC REG to calculate t-test';
proc reg;
   model price = ret;
run;
title2 'Three methods: ANOVA, Wilcoxon, and median tests';
proc npar1way anova wilcoxon median;
   class ret;
   var price;
run;
quit;
