title1 'ELISA analysis';

data ELISA;
   infile 'ELISA.dat';
   input count  run  conc dens;
   logc=log(conc);
   logc2=logc**2;
   array runind(11) runind1-runind11;
   do i=1 to 11;
     runind(i) = 0;
   end;
   runind(run)=1;
run;

proc print;
run;

proc gplot;
   plot dens * conc;
   plot dens * logc;
run;

proc reg data=ELISA;
   model dens = logc logc2 runind2-runind11;
run;
quit;



