title1 'Food imports and shipments stopped at the border';

data shipments;
  input country  $ 1-14  refused   value;
  label
     refused = '# of food shipments refused 7/06 - 6/07'
	 value   = 'total value of all food imports in 2006'
   ;
datalines; 
India           1763    1.2
Mexico          1480    9.8
China           1368    3.8
Dominican Rep    828    0.3
Denmark          543    0.4
Vietnam          553    1.1
Japan            508    0.5
Italy            482    2.9
Indonesia        460    1.5
run; 

proc print;  /* always do this after a data step */
run;

proc means;
run;

proc gplot;
   plot refused * value;
run;

proc reg;
   model refused = value;
run;

quit;

