title1 'Win/Loss record for the NY Mets in 2007 season'; 
data Mets;
   input win $ @@ ; /* read several observations on each line */
   game = _N_;      /* game number is also the obsrvation nmber */
   if win='W' then wl=1;  /* recode the W's and L's as 0 and 1's */
   if win='L' then wl=0;
   label
      game = 'game number'
	  wl   = 'win/loss';
datalines;
W W W L L W L W W L W W W L W L W W L L W W L L W W W W L L W W W L W W L W 
W W W L L W L W W W W L W L W L
run;
proc print;
run;
title2 'Logistic regression for the season up to June 3';
proc logistic descending;
   model wl = game;
run;
title2 'Logistic regression on the first half of the data';
proc logistic descending;
   model wl = game;
   where game <= 27;
run;
title2 'Logistic regression on the second half of the data';
proc logistic descending;
   model wl = game;
   where game >= 28;
run;
quit;

