title1 'Yards rushing and Pro Bowl appearances';
data probowl;
/* 
   Rushing yards and Pro Bowl appearances
   Source: NYTimes Nov 2 2007 page D5
*/
input name $ 1-20 active rush ProBowl;
datalines;
Emmit Smith         0  18355   8
Walter Payton       0  16726   9
Barry Sanders       0  15269  10
Curtis Martin       0  14101   5
Jerome Bettis       0  13662   6
Eric Dickerson      0  13259   5
Tony Dorsett        0  12739   4
Jim Brown           0  12312   9
Marshall Faulk      0  12279   7
Marcus Allen        0  12243   6
Franco Harris       0  12120   8
Thurman Harris      0  12074   5
John Riggins        0  11352   1
Corey Dillon        0  11241   4
O.J. Simpson        0  11236   5
Edgerrin James      1  10988   3
Ricky Watters       0  10643   5
Tiki Barber         0  10449   3
Eddie George        0  10441   4
Ottis Anderson      0  10273   2
Fred Taylor         1   9933   0
LaDainian Tomlinson 1   9793   4
Warrick Dunn        1   9753   3
Earl Campbell       1   9407   5
Shaun Alexander     1   9173   3
run;
proc print;
run;

proc genmod;
   model ProBowl = rush active / dist=Poisson obstats;
   ods output obstats = fitted;
run;

proc print data=fitted;
run;

proc gplot data=fitted;
plot reschi * pred;
run;
run;
quit;


