options linesize=79 center pagesize=60;

title1 'Species diversity using Piosson regression';

data;
   infile 'species.dat';
   input  name $ 1-13  species area;
   label
      name   =   'Island'
      species=   'number of species present'
      area   =   'island area in km^2' ;
run;

proc print;  /* always do this */
run;

proc genmod;
  model species = area / dist = poisson;
    /* the log link is assumed for Poisson regression */
run;
run;
