title1 'A ranking of the healthiest US states';
title2 'Original order of data';
data states;
   input state $ 1-20 physicians vaccine prenatal lowweight mort imort;
   health1 = vaccine - 10*imort;  /* arbitrary criteria # 1  */
   health2 = 100 * physicians - mort; /* */
   cards;
   Alabama          21.4   79   82.8  10.35  1004.0   5.4  
   Alaska           24.1   67   80.0   6.02   781.5   2.9  
   Arizona          22.5   71   76.4   7.05   775.2   4.3  
   Arkansas         20.4   73   79.5   9.04   934.6   5.2  
   California       25.7   79   84.5   6.71   727.2   3.5  
   Colorado         26.8   76   80.7   9.04   759.1   4.3  
   Connecticut      35.4   82   89.1   7.74   708.5   4.2  
   Delaware         26.1   80   85.4   9.31   833.4   6.5  
   D of C           75.6   78   73.9  11.06   982.1   8.0  
   Florida          25.3   80   83.9   8.59   765.9   4.8  
   Georgia          22.0   81   86.8   9.27   932.7   5.8  
   Hawaii           31.2   79   85.1   8.23   623.6   4.9  
   Idaho            17.9   69   81.1   6.65   775.2   3.9  
   Illinois         27.5   74   82.9   8.40   811.6   5.1  
   Indiana          21.9   76   80.6   8.10   866.1   5.2  
   Iowa             21.1   79   88.1   6.92   748.0   3.4  
   Kansas           23.6   70   86.5   7.28   810.6   4.6  
   Kentucky         22.9   79   86.7   8.86   961.3   4.1  
   Louisiana        24.5   70   83.1  11.02  1007.5   6.2  
   Maine            30.1   76   88.7   6.58   816.8   3.8  
   Maryland         39.9   78   85.7   9.17   818.0   5.8  
   Massachusetts    42.8   84   89.5   7.77   745.6   3.7  
   Michigan         27.4   78   84.2   8.28   823.0   5.6  
   Minnesota        27.9   78   84.6   6.43   697.6   3.3  
   Mississippi      18.1   73   81.8  11.62  1022.4   6.2  
   Missouri         25.9   81   87.5   8.12   884.8   5.4  
   Montana          23.0   66   83.2   7.02   804.1   3.7  
   Nebraska         23.8   75   83.6   6.97   765.5   4.2  
   Nevada           19.6   60   75.1   8.11   897.8   3.8  
   New Hampshire    26.7   76   90.8   6.65   751.3   3.6  
   New Jersey       32.6   76   80.6   8.19   762.7   4.1  
   New Mexico       23.9   72   68.1   8.38   801.1   3.9  
   New York         38.0   79   85.0   8.11   738.5   4.3  
   North Carolina   24.8   82   84.7   9.07   888.6   5.8  
   North Dakota     24.2   80   86.2   6.49   723.6   4.8  
   Ohio             27.7   75   86.8   8.51   862.5   5.2  
   Oklahoma         20.5   78   78.9   7.92   974.8   4.7  
   Oregon           26.9   73   81.2   6.09   788.5   3.8  
   Pennsylvania     32.0   81   85.3   8.20   822.9   5.3  
   Rhode Island     35.8   81   91.1   8.12   753.3   4.7  
   South Carolina   23.0   80   79.7  10.15   916.4   6.3  
   South Dakota     22.3   74   80.1   6.71   767.0   3.9  
   Tennessee        26.1   77   83.4   9.35   971.1   5.7  
   Texas            21.7   75   79.5   8.07   846.2   4.1  
   Utah             21.2   78   79.7   6.68   764.8   3.6  
   Vermont          35.4   75   88.5   6.57   741.5   3.5  
   Virginia         26.8   77   85.2   8.23   823.3   5.2  
   Washington       26.6   71   82.9   6.13   752.7   3.6  
   West Virginia    25.2   68   85.8   9.16   974.1   4.9  
   Wisconsin        25.7   81   84.0   6.93   758.3   4.4  
   Wyoming          19.4   64   82.9   8.71   814.6   4.6 
run;

proc print;
run;
title2 'Ranking the healthiest states, criteria 1';
proc sort;
   by descending health1; /* descending option ranks best to worst */
run;
proc print;
run;
title2 'Ranking of the healthiest states, criteria 2';
proc sort;
   by descending health2;
run;

proc print;
run;

quit;

